What's New in each Release

What's New in v1.5

In this section, you'll find the major features introduced in the release. All the changes are documented in the Bundler 1.5 changelog. Full 1.5 changelog

The --jobs option (-j for short) installs gems in parallel. For example, bundle install -j4 will use 4 workers. We've seen speedups of 40-60% on fresh bundle installs. To always install in parallel, run bundle config --global jobs 4 or set BUNDLE_JOBS.
Learn More: Parallel Install

Bundler now supports the ability to use a gem mirror in a Gemfile locally by using bundle config. bundle config mirror.http://rubygems.org http://rubygems-mirror.org/
Learn More: Source Mirrors

The ruby DSL now takes a :patchlevel option for locking to specific patchlevels of ruby like ruby '2.0.0', :patchlevel => "247"
Learn More: Ruby Directive

bundle outdated --strict displays outdated gems that match the dependency requirements.
Learn More: outdated --strict

bundle install now retries failed downloads. You can adjust the number of retries with the --retry option.
Learn More: Retry

Bundler 1.5 also includes:
  • many smaller performance improvements to make resolving and installing faster
  • cyclic dependency detection, to avoid infinite loops
  • multiple arguments to the bundle binstubs command
  • a bundler command in case you typo bundle
  • uses RUBYLIB for better compatibility with Windows
  • Full 1.5 changelog
Fork me on GitHub
Docs: v0.9 v1.0 v1.1 v1.2 v1.3 v1.5 v1.6 v1.7